1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. rdsmysql
  6. getEndpoint
Viewing docs for volcenginecc v0.0.35
published on Thursday, May 14, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.35
published on Thursday, May 14, 2026 by Volcengine

    Data Source schema for Volcengine::RDSMySQL::Endpoint

    Using getEndpoint

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getEndpoint(args: GetEndpointArgs, opts?: InvokeOptions): Promise<GetEndpointResult>
    function getEndpointOutput(args: GetEndpointOutputArgs, opts?: InvokeOptions): Output<GetEndpointResult>
    def get_endpoint(id: Optional[str] = None,
                     opts: Optional[InvokeOptions] = None) -> GetEndpointResult
    def get_endpoint_output(id: pulumi.Input[Optional[str]] = None,
                     opts: Optional[InvokeOptions] = None) -> Output[GetEndpointResult]
    func LookupEndpoint(ctx *Context, args *LookupEndpointArgs, opts ...InvokeOption) (*LookupEndpointResult, error)
    func LookupEndpointOutput(ctx *Context, args *LookupEndpointOutputArgs, opts ...InvokeOption) LookupEndpointResultOutput

    > Note: This function is named LookupEndpoint in the Go SDK.

    public static class GetEndpoint 
    {
        public static Task<GetEndpointResult> InvokeAsync(GetEndpointArgs args, InvokeOptions? opts = null)
        public static Output<GetEndpointResult> Invoke(GetEndpointInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetEndpointResult> getEndpoint(GetEndpointArgs args, InvokeOptions options)
    public static Output<GetEndpointResult> getEndpoint(GetEndpointArgs args, InvokeOptions options)
    
    fn::invoke:
      function: volcenginecc:rdsmysql/getEndpoint:getEndpoint
      arguments:
        # arguments dictionary
    data "volcenginecc_rdsmysql_getendpoint" "name" {
        # arguments
    }

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getEndpoint Result

    The following output properties are available:

    Addresses List<Volcengine.GetEndpointAddress>
    Endpoint address list.
    AutoAddNewNodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    ConnectAllSlaveNodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    ConnectionInfoTags List<string>
    Connection endpoint tags.
    ConnectionMode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    ConnectionPoolType string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    CustomRouteStrategy Volcengine.GetEndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    Description string
    Remarks.
    EnableConnectionPersistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    EnableReadOnly string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    EndpointId string
    Instance connection endpoint ID.
    EndpointName string
    Instance connection endpoint name.
    EndpointType string
    Endpoint type. Value: Custom (custom endpoint).
    Id string
    Uniquely identifies the resource.
    IdleConnectionReclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    ImplicitTransSplit bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    InstanceId string
    Instance ID.
    MasterNodeRouting bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    MasterProtectorTimeout int
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    MultiStatementsMode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    Nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    OverloadProtection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    ReadOnlyNodeDistributionType string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    ReadOnlyNodeMaxDelayTime int
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    ReadOnlyNodeWeights List<Volcengine.GetEndpointReadOnlyNodeWeight>
    List of nodes configured for the connection endpoint and their corresponding read-only weights.
    ReadWriteMode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    ReadWriteSpliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    Addresses []GetEndpointAddress
    Endpoint address list.
    AutoAddNewNodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    ConnectAllSlaveNodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    ConnectionInfoTags []string
    Connection endpoint tags.
    ConnectionMode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    ConnectionPoolType string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    CustomRouteStrategy GetEndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    Description string
    Remarks.
    EnableConnectionPersistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    EnableReadOnly string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    EndpointId string
    Instance connection endpoint ID.
    EndpointName string
    Instance connection endpoint name.
    EndpointType string
    Endpoint type. Value: Custom (custom endpoint).
    Id string
    Uniquely identifies the resource.
    IdleConnectionReclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    ImplicitTransSplit bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    InstanceId string
    Instance ID.
    MasterNodeRouting bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    MasterProtectorTimeout int
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    MultiStatementsMode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    Nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    OverloadProtection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    ReadOnlyNodeDistributionType string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    ReadOnlyNodeMaxDelayTime int
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    ReadOnlyNodeWeights []GetEndpointReadOnlyNodeWeight
    List of nodes configured for the connection endpoint and their corresponding read-only weights.
    ReadWriteMode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    ReadWriteSpliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses list(object)
    Endpoint address list.
    auto_add_new_nodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connect_all_slave_nodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connection_info_tags list(string)
    Connection endpoint tags.
    connection_mode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connection_pool_type string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    custom_route_strategy object
    SQL forwarding rules for the connection endpoint.
    description string
    Remarks.
    enable_connection_persistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    enable_read_only string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpoint_id string
    Instance connection endpoint ID.
    endpoint_name string
    Instance connection endpoint name.
    endpoint_type string
    Endpoint type. Value: Custom (custom endpoint).
    id string
    Uniquely identifies the resource.
    idle_connection_reclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicit_trans_split bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instance_id string
    Instance ID.
    master_node_routing bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    master_protector_timeout number
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multi_statements_mode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overload_protection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    read_only_node_distribution_type string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    read_only_node_max_delay_time number
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    read_only_node_weights list(object)
    List of nodes configured for the connection endpoint and their corresponding read-only weights.
    read_write_mode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    read_write_spliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses List<GetEndpointAddress>
    Endpoint address list.
    autoAddNewNodes Boolean
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connectAllSlaveNodes Boolean
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connectionInfoTags List<String>
    Connection endpoint tags.
    connectionMode String
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connectionPoolType String
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    customRouteStrategy GetEndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    description String
    Remarks.
    enableConnectionPersistent Boolean
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    enableReadOnly String
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpointId String
    Instance connection endpoint ID.
    endpointName String
    Instance connection endpoint name.
    endpointType String
    Endpoint type. Value: Custom (custom endpoint).
    id String
    Uniquely identifies the resource.
    idleConnectionReclaim Boolean
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicitTransSplit Boolean
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instanceId String
    Instance ID.
    masterNodeRouting Boolean
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    masterProtectorTimeout Integer
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multiStatementsMode String
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes String
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overloadProtection Boolean
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    readOnlyNodeDistributionType String
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    readOnlyNodeMaxDelayTime Integer
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    readOnlyNodeWeights List<GetEndpointReadOnlyNodeWeight>
    List of nodes configured for the connection endpoint and their corresponding read-only weights.
    readWriteMode String
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    readWriteSpliting Boolean
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses GetEndpointAddress[]
    Endpoint address list.
    autoAddNewNodes boolean
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connectAllSlaveNodes boolean
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connectionInfoTags string[]
    Connection endpoint tags.
    connectionMode string
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connectionPoolType string
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    customRouteStrategy GetEndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    description string
    Remarks.
    enableConnectionPersistent boolean
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    enableReadOnly string
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpointId string
    Instance connection endpoint ID.
    endpointName string
    Instance connection endpoint name.
    endpointType string
    Endpoint type. Value: Custom (custom endpoint).
    id string
    Uniquely identifies the resource.
    idleConnectionReclaim boolean
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicitTransSplit boolean
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instanceId string
    Instance ID.
    masterNodeRouting boolean
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    masterProtectorTimeout number
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multiStatementsMode string
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes string
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overloadProtection boolean
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    readOnlyNodeDistributionType string
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    readOnlyNodeMaxDelayTime number
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    readOnlyNodeWeights GetEndpointReadOnlyNodeWeight[]
    List of nodes configured for the connection endpoint and their corresponding read-only weights.
    readWriteMode string
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    readWriteSpliting boolean
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses Sequence[GetEndpointAddress]
    Endpoint address list.
    auto_add_new_nodes bool
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connect_all_slave_nodes bool
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connection_info_tags Sequence[str]
    Connection endpoint tags.
    connection_mode str
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connection_pool_type str
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    custom_route_strategy GetEndpointCustomRouteStrategy
    SQL forwarding rules for the connection endpoint.
    description str
    Remarks.
    enable_connection_persistent bool
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    enable_read_only str
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpoint_id str
    Instance connection endpoint ID.
    endpoint_name str
    Instance connection endpoint name.
    endpoint_type str
    Endpoint type. Value: Custom (custom endpoint).
    id str
    Uniquely identifies the resource.
    idle_connection_reclaim bool
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicit_trans_split bool
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instance_id str
    Instance ID.
    master_node_routing bool
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    master_protector_timeout int
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multi_statements_mode str
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes str
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overload_protection bool
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    read_only_node_distribution_type str
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    read_only_node_max_delay_time int
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    read_only_node_weights Sequence[GetEndpointReadOnlyNodeWeight]
    List of nodes configured for the connection endpoint and their corresponding read-only weights.
    read_write_mode str
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    read_write_spliting bool
    Enable read/write splitting. Values: true: enabled (default). false: disabled.
    addresses List<Property Map>
    Endpoint address list.
    autoAddNewNodes Boolean
    When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
    connectAllSlaveNodes Boolean
    Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
    connectionInfoTags List<String>
    Connection endpoint tags.
    connectionMode String
    Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
    connectionPoolType String
    Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
    customRouteStrategy Property Map
    SQL forwarding rules for the connection endpoint.
    description String
    Remarks.
    enableConnectionPersistent Boolean
    Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
    enableReadOnly String
    Enable global read-only. Values: Enable: enabled. Disable: not enabled.
    endpointId String
    Instance connection endpoint ID.
    endpointName String
    Instance connection endpoint name.
    endpointType String
    Endpoint type. Value: Custom (custom endpoint).
    id String
    Uniquely identifies the resource.
    idleConnectionReclaim Boolean
    Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
    implicitTransSplit Boolean
    Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
    instanceId String
    Instance ID.
    masterNodeRouting Boolean
    Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    masterProtectorTimeout Number
    Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
    multiStatementsMode String
    Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
    nodes String
    List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
    overloadProtection Boolean
    Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
    readOnlyNodeDistributionType String
    Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
    readOnlyNodeMaxDelayTime Number
    Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
    readOnlyNodeWeights List<Property Map>
    List of nodes configured for the connection endpoint and their corresponding read-only weights.
    readWriteMode String
    Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
    readWriteSpliting Boolean
    Enable read/write splitting. Values: true: enabled (default). false: disabled.

    Supporting Types

    GetEndpointAddress

    DnsVisibility bool
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    Domain string
    Connection domain name.
    DomainPrefix string
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    EipId string
    EIP ID, valid only for Public addresses.
    EipLocked bool
    Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
    InternetProtocol string
    IP protocol version. Value: IPv4.
    IpAddress string
    IP address.
    NetworkType string
    Network address type. Options: Private: private network address. Public: public network address.
    Port string
    Port.
    SubnetId string
    Subnet ID, valid only for Private addresses.
    DnsVisibility bool
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    Domain string
    Connection domain name.
    DomainPrefix string
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    EipId string
    EIP ID, valid only for Public addresses.
    EipLocked bool
    Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
    InternetProtocol string
    IP protocol version. Value: IPv4.
    IpAddress string
    IP address.
    NetworkType string
    Network address type. Options: Private: private network address. Public: public network address.
    Port string
    Port.
    SubnetId string
    Subnet ID, valid only for Private addresses.
    dns_visibility bool
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    domain string
    Connection domain name.
    domain_prefix string
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    eip_id string
    EIP ID, valid only for Public addresses.
    eip_locked bool
    Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
    internet_protocol string
    IP protocol version. Value: IPv4.
    ip_address string
    IP address.
    network_type string
    Network address type. Options: Private: private network address. Public: public network address.
    port string
    Port.
    subnet_id string
    Subnet ID, valid only for Private addresses.
    dnsVisibility Boolean
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    domain String
    Connection domain name.
    domainPrefix String
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    eipId String
    EIP ID, valid only for Public addresses.
    eipLocked Boolean
    Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
    internetProtocol String
    IP protocol version. Value: IPv4.
    ipAddress String
    IP address.
    networkType String
    Network address type. Options: Private: private network address. Public: public network address.
    port String
    Port.
    subnetId String
    Subnet ID, valid only for Private addresses.
    dnsVisibility boolean
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    domain string
    Connection domain name.
    domainPrefix string
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    eipId string
    EIP ID, valid only for Public addresses.
    eipLocked boolean
    Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
    internetProtocol string
    IP protocol version. Value: IPv4.
    ipAddress string
    IP address.
    networkType string
    Network address type. Options: Private: private network address. Public: public network address.
    port string
    Port.
    subnetId string
    Subnet ID, valid only for Private addresses.
    dns_visibility bool
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    domain str
    Connection domain name.
    domain_prefix str
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    eip_id str
    EIP ID, valid only for Public addresses.
    eip_locked bool
    Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
    internet_protocol str
    IP protocol version. Value: IPv4.
    ip_address str
    IP address.
    network_type str
    Network address type. Options: Private: private network address. Public: public network address.
    port str
    Port.
    subnet_id str
    Subnet ID, valid only for Private addresses.
    dnsVisibility Boolean
    false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
    domain String
    Connection domain name.
    domainPrefix String
    Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
    eipId String
    EIP ID, valid only for Public addresses.
    eipLocked Boolean
    Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
    internetProtocol String
    IP protocol version. Value: IPv4.
    ipAddress String
    IP address.
    networkType String
    Network address type. Options: Private: private network address. Public: public network address.
    port String
    Port.
    subnetId String
    Subnet ID, valid only for Private addresses.

    GetEndpointCustomRouteStrategy

    keyword_route_strategies list(object)
    Custom routing policy list.
    keywordRouteStrategies List<Property Map>
    Custom routing policy list.

    GetEndpointCustomRouteStrategyKeywordRouteStrategy

    NodeType string
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    SqlKeyword string
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    NodeType string
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    SqlKeyword string
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    node_type string
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    sql_keyword string
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    nodeType String
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    sqlKeyword String
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    nodeType string
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    sqlKeyword string
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    node_type str
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    sql_keyword str
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
    nodeType String
    SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
    sqlKeyword String
    Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.

    GetEndpointReadOnlyNodeWeight

    NodeId string
    NodeId is required for read-only nodes; not required for primary nodes.
    NodeType string
    Node type. Primary: primary node. ReadOnly: read-only node.
    Weight int
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    NodeId string
    NodeId is required for read-only nodes; not required for primary nodes.
    NodeType string
    Node type. Primary: primary node. ReadOnly: read-only node.
    Weight int
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    node_id string
    NodeId is required for read-only nodes; not required for primary nodes.
    node_type string
    Node type. Primary: primary node. ReadOnly: read-only node.
    weight number
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    nodeId String
    NodeId is required for read-only nodes; not required for primary nodes.
    nodeType String
    Node type. Primary: primary node. ReadOnly: read-only node.
    weight Integer
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    nodeId string
    NodeId is required for read-only nodes; not required for primary nodes.
    nodeType string
    Node type. Primary: primary node. ReadOnly: read-only node.
    weight number
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    node_id str
    NodeId is required for read-only nodes; not required for primary nodes.
    node_type str
    Node type. Primary: primary node. ReadOnly: read-only node.
    weight int
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.
    nodeId String
    NodeId is required for read-only nodes; not required for primary nodes.
    nodeType String
    Node type. Primary: primary node. ReadOnly: read-only node.
    weight Number
    Node read weight increases in increments of 100, up to a maximum of 10,000. Note: Not all weights can be set to 0.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.35
    published on Thursday, May 14, 2026 by Volcengine
      Try Pulumi Cloud free. Your team will thank you.